Package org.opensaml.saml.ext.saml2mdrpi.impl

# Class PublicationInfoImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.saml.ext.saml2mdrpi.impl.PublicationInfoImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `PublicationInfo`

public class PublicationInfoImpl extends AbstractXMLObject implements PublicationInfo
Concrete `PublicationInfo`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Instant`
`creationInstant`
The creation instant.
`private String`
`publicationId`
The publicationId.
`private String`
`publisher`
The publisher.
`private final XMLObjectChildrenList<UsagePolicy>`
`usagePolicies`
The policies.

### Fields inherited from interface org.opensaml.saml.ext.saml2mdrpi.PublicationInfo

`CREATION_INSTANT_ATTRIB_NAME, CREATION_INSTANT_ATTRIB_QNAME, DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, PUBLICATION_ID_ATTRIB_NAME, PUBLISHER_ATTRIB_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`PublicationInfoImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Instant`
`getCreationInstant()`
Get the creation instant.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`String`
`getPublicationId()`
Get the publicationId.
`String`
`getPublisher()`
Get the publisher.
`List<UsagePolicy>`
`getUsagePolicies()`
Get the `UsagePolicy`s.
`void`
`setCreationInstant(Instant dateTime)`
Set the creation instant.
`void`
`setPublicationId(String id)`
Set the publicationId.
`void`
`setPublisher(String thePublisher)`
Set the publisher.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### usagePolicies

@Nonnull private final XMLObjectChildrenList<UsagePolicy> usagePolicies
The policies.

### publisher

@Nullable private String publisher
The publisher.

### creationInstant

@Nullable private Instant creationInstant
The creation instant.

### publicationId

@Nullable private String publicationId
The publicationId.

## Constructor Details

### PublicationInfoImpl

protected PublicationInfoImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getPublisher

@Nullable public String getPublisher()
Get the publisher.

Specified by:
  `getPublisher` in interface `PublicationInfo`
Returns:
  the publisher

### setPublisher

public void setPublisher(@Nullable String thePublisher)
Set the publisher.

Specified by:
  `setPublisher` in interface `PublicationInfo`
Parameters:
  `thePublisher` - the publisher

### getCreationInstant

@Nullable public Instant getCreationInstant()
Get the creation instant.

Specified by:
  `getCreationInstant` in interface `PublicationInfo`
Returns:
  the creation instant

### setCreationInstant

public void setCreationInstant(@Nullable Instant dateTime)
Set the creation instant.

Specified by:
  `setCreationInstant` in interface `PublicationInfo`
Parameters:
  `dateTime` - the instant

### getPublicationId

@Nullable public String getPublicationId()
Get the publicationId.

Specified by:
  `getPublicationId` in interface `PublicationInfo`
Returns:
  the publicationId

### setPublicationId

public void setPublicationId(@Nullable String id)
Set the publicationId.

Specified by:
  `setPublicationId` in interface `PublicationInfo`
Parameters:
  `id` - the publicationIdr

### getUsagePolicies

@Nonnull @Live public List<UsagePolicy> getUsagePolicies()
Get the `UsagePolicy`s.

Specified by:
  `getUsagePolicies` in interface `PublicationInfo`
Returns:
  the list of policies

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements